How to Install Spotify Client in Ubuntu 15.10

September 26, 2015 — 14 Comments

Spotify Client for Linux

Quick tutorial shows you how to install Spotify client, stable or development version, in Ubuntu 15.10 and fix the app does not launch issue.

The spotify community provides an official repository for Linux to make the installation easy. Both stable and latest dev releases are available.


1. Open terminal from the Dash, App Launcher, or via Ctrl+Alt+T shortcut key. When it opens, select add the stable or test repository:

2015-11-27 The current stable is build against 14.04 LTS. It may not work on 15.10 due to dependencies issue. Choose test repository for DEV version as a workaround
  • add Spotify stable repository via command:
    echo deb stable non-free | sudo tee /etc/apt/sources.list.d/spotify.list
  • or add the test repository for development version:
    echo deb testing non-free | sudo tee /etc/apt/sources.list.d/spotify.list


2. Run command to get the signing key to be able to verify downloaded packages:

sudo apt-key adv --keyserver hkp:// --recv-keys D2C19886

3. Finally install the client via Synaptic Package Manager or by running below commands one by one:

sudo apt-get update

sudo apt-get install spotify-client

Tip: The current stable release was built against Ubuntu 14.04. It does not launch in Ubuntu 15.04 and Ubuntu 15.10 without the library

To fix it, just select download the package from the link below and click to install via Software Center.

libgcrypt11 for 64-bit | libgcrypt11 for 32-bit

That’s it. Enjoy!

I'm a freelance blogger who started using Ubuntu 5+ years ago and wishes to share my experiences and some useful tips with Ubuntu beginners and lovers. Please notify me if you find any typo/grammar/language mistakes. English is not my native language. Contact me on Google Plus or email to

14 responses to How to Install Spotify Client in Ubuntu 15.10

  1. Jelle De Loecker October 18, 2015 at 2:22 pm

    Local files won’t play, though. Even using the old workarounds by linking specific libraries and such.

  2. Thanks Ji, worked fine for me.

  3. Thanks for libraries :)

  4. It works, thanks dude!

  5. Hey, thanks for the article. It was very helpful. Yet, I didn’t get any launcher icon and can only launch spotify via the terminal. Any suggestions? Just started using Ubuntu here. I guess that makes me a Noobuntu xD

  6. Thank you!
    It did not work until I installed “libgcrypt11 for 64-bit”

  7. Hello all !

    I’m starting with ubuntu and i’d like to install spotify. I’ve followed all the detailed procedure (including the crypt package butn nothing happens, and the package manager can not find spotify). Any idea of the cause of the problem ? Probably basic but I can’t find.

    Thanks for your help,


  8. Thanks, Jim. Worked fine!

  9. Thank you,
    the problem is fixed now.

  10. Hi there,
    I followed all the steps but I get this message in return:

    kuz@kuz-GS395AA-ABZ-a6280-it:~$ sudo apt-get install spotify-client
    Lettura elenco dei pacchetti… Fatto
    Generazione albero delle dipendenze
    Lettura informazioni sullo stato… Fatto
    Alcuni pacchetti non possono essere installati. Questo può voler dire
    che è stata richiesta una situazione impossibile oppure, se si sta
    usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
    non sono ancora stati creati o sono stati rimossi da Incoming.
    Le seguenti informazioni possono aiutare a risolvere la situazione:

    I seguenti pacchetti hanno dipendenze non soddisfatte:
    spotify-client : Dipende: libssl0.9.8 ma non è installabile
    Raccomanda: libavcodec53 ma non è installabile oppure
    libavcodec52 ma non è installabile oppure
    libavcodec-extra-53 ma non è installabile oppure
    libavcodec-extra-52 ma non è installabile
    Raccomanda: libavformat53 ma non è installabile oppure
    libavformat52 ma non è installabile oppure
    libavformat-extra-53 ma non è installabile oppure
    libavformat-extra-52 ma non è installabile
    E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.

    It’s a clean 15.10 install from like three days ago so I doubt it’s somehow compromised, any chance you can suggest how to fix this?

    • If you were installing Spotify from the stable repository, please try the DEV version since the current stable was build against Ubuntu 14.04.

      To do so, launch Software & Updates and navigate to Other Software tab. Find out the stable repository and change its Distro to “testing” (without quotes)


      Finally run sudo apt-get update and sudo apt-get install spotify-client command to install the DEV version.

      • Thank you so much, man! It worked!

        I’d suggest to slightly update the article though, because it’s not clear that the stable version won’t actually run on 15.10 even if the title is about that.

        Thanks again anyway and keep up with the good work!

  11. Thanks so much Ji m, works great for me on ubuntu 15.10, please keep your great work!!!

Leave a Reply


Text formatting is available via select HTML.

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>